//<![CDATA[
/*************************************************
process.js

javascript for
http://satff.aist.go.jp/yoshikazu-seki/AOTS/WR-AOTS/...
process for off-line manual

March 24, 2013 (Sun) ver 0.0
February 17, 2014 (Mon) ver 0.1 for AIST Web Cloud (https://...)
April 22, 2014 (Tue) ver 0.2 for adaptation to the polyglot markup ("document.write" is not recommended in XHTML5)

Copyright (C) 2013-2014 Yoshikazu Seki, AIST. All rights reserved.
*************************************************/

var	u = window.location.href;	//	Get URL

if(u.match("^https://staff.aist.go.jp/yoshikazu-seki/")) {	 	//	If it is On-line

//	Display On-line

document.getElementById("offlineprocess").innerHTML="* This page was processed for <strong>On-line Manual</strong> by JavaScript<!-- *XHTML5 does not support &trade;-->&#8482;.";

//	document.write('<p class="comment" lang="en" xml:lang="en">* This page was processed for <strong>On-line Manual</strong> by JavaScript<!-- *XHTML5 does not support &trade;-->&#8482;.</p>');

}

else {	 	//	If it is Off-line


//	Change <img src="../../../data/xxxx" to "./data/xxxx"
	var r=document.getElementsByTagName("img");
	for(var i=0;i<r.length;i++) {
		var a = r[i].getAttribute("src");
		a = a.replace("../../../data","./data");
 		r[i].setAttribute("src",a);
	}

//	Change <link href="../../../data/xxxx" to "./data/xxxx"
	var t=document.getElementsByTagName("link");
	for(var k=0;k<t.length;k++) {
		var c = t[k].getAttribute("href");
		c = c.replace("../../../data","./data");
 		t[k].setAttribute("href",c);
	}

//	Remove link to WR-AOTS manual select page
	var	q=document.getElementById("onlineonly1");
	q.parentNode.removeChild(q);

//	Remove link to Site map
	var	s=document.getElementById("onlineonly2");
	s.parentNode.removeChild(s);

//	Remove Breadcrumbs list 
	var	l=document.getElementById("onlineonly3");
	l.parentNode.removeChild(l);

//	Display Off-line

document.getElementById("offlineprocess").innerHTML="* This page was processed for <strong>Off-line Manual</strong> by JavaScript<!-- *XHTML5 does not support &trade;-->&#8482;.";

//	document.write('<p class="comment" lang="en" xml:lang="en">This page was processed for <strong>Off-line Manual</strong> by JavaScript<!-- *XHTML5 does not support &trade;-->&#8482;.</p>');

//	var m=document.getElementsByTagName("h1");
//	var	w=m[0].innerHTML;
//	w = w.replace("Manual","Off-line Manual");
//	m[0].innerHTML = w;

}

//]]>